(function () {
    'use strict';

    angular
        .module('app.order')
        .controller('PaymentSuccessController', PaymentSuccessController);

    PaymentSuccessController.$inject = ['$ionicHistory', 'routerStateService'];

    function PaymentSuccessController($ionicHistory, routerStateService) {
        var vm = this;
        vm.goBack = goBack;
        vm.goDashboard = goDashboard;

        ////////////////

        function goBack() {
            $ionicHistory.goBack(-2);
        }

        function goDashboard() {
            routerStateService.go('tab.dashboard');
        }
    }
})();
