cordova.define("hebang-plugin-wechat.HBWechat", function(require, exports, module) { var cordova = window.cordova || window.Cordova;
var exec = require('cordova/exec');

var HBWechat = {
    pay: function (tradeInfo, successCallback, failureCallback) {
        if (cordova) {
            exec(function (message) {
                if (message) {
                    if (message.errCode === 0 && successCallback) {
                        successCallback();
                    } else if (message.errCode === -2 && failureCallback) {
                        failureCallback('用户取消');
                    } else if (failureCallback) {
                        failureCallback(message.errStr || '支付失败');
                    }
                }
            }, failureCallback ? failureCallback : null, 'HBWechat', 'pay', [tradeInfo]);
        }
    }
};

module.exports = HBWechat;

});
