(function () {
    'use strict';

    angular
        .module('app.component')
        .directive('arkCartTabWatcher', arkCartTabWatcher);

    arkCartTabWatcher.$inject = ['$rootScope', 'cartService'];

    function arkCartTabWatcher($rootScope, cartService) {
        var directive = {
            link: link,
            restrict: 'A'
        };
        return directive;

        function link(scope, elem, attrs) {
            $rootScope.$on('cartService:refreshCountInCart', function () {
                scope.$$childHead.badge = cartService.getTotalQuantity();
            });
        }
    }
})();
