(function() {
    'use strict';

    angular
        .module('app.component')
        .directive('arkScrollToTop', arkScrollToTop);

    arkScrollToTop.$inject = ['$ionicScrollDelegate', '$rootScope'];

    function arkScrollToTop($ionicScrollDelegate, $rootScope) {
        var directive = {
            link: link,
            replace: true,
            restrict: 'E',
            scope: {
                scrollToTop: '&'
            },
            templateUrl: 'templates/partials/scroll-to-top.directive.html'
        };
        return directive;

        function link(scope, elem, attrs) {
            scope.scrollToTop = scrollToTop;

            function scrollToTop() {
                $rootScope.$broadcast('scrollTop');
                $ionicScrollDelegate.scrollTop(true);
            }
        }
    }
})();
