(function() {
    'use strict';

    angular
        .module('app.component')
        .directive('arkScrollWatch', arkScrollWatch);

    arkScrollWatch.$inject = ['$rootScope', '$ionicScrollDelegate'];

    function arkScrollWatch($rootScope, $ionicScrollDelegate) {
        var directive = {
            link: link,
            restrict: 'A'
        };
        return directive;

        function link(scope, elem, attrs) {
            elem.bind('scroll', function() {
                if ($ionicScrollDelegate.getScrollPosition().top > 300) {
                    $('.scroll-to-top').fadeIn();
                } else {
                    $('.scroll-to-top').fadeOut();
                }
            });

            $rootScope.$on('$ionicView.leave', function() {
                $('.scroll-to-top').hide();
            });
        }
    }
})();
