(function() {
    'use strict';

    angular
        .module('app.component')
        .directive('arkTabsWatcher', arkTabsWatcher);

    arkTabsWatcher.$inject = ['$rootScope'];

    function arkTabsWatcher($rootScope) {
        var directive = {
            link: link,
            restrict: 'A'
        };
        return directive;

        function link(scope, elem, attrs) {
            $rootScope.$on('$ionicView.beforeEnter', function(e, view) {
                if (view.stateName && view.stateName.indexOf('tab.') === -1) {
                    $(elem).addClass('tabs-item-hide');
                } else {
                    $(elem).removeClass('tabs-item-hide');
                }
            });
        }
    }
})();
