(function() {
    'use strict';

    angular
        .module('app.config')
        .constant('appConf', {
            maxItemsDisplayedInList: 20,
            maxRatingStarValue: 5,
            disableAddToCartBtnInProductList: true,
            enableNavCategorySlider: false,
            iosAppStoreUrl: 'itms-apps://itunes.apple.com/cn/app/wo-men-de-can-zhuo/id1035564204?l=zh&ls=1&mt=8'
        })
        .constant('appConst', {
            USER_GENDER: {
                UNKNOWN: 0,
                MALE: 1,
                FEMALE: 2
            },
            ORDER_STATUS: {
                WAITING_FOR_PAYMENT: 1,
                WAITING_FOR_SHIPMENT: 2,
                SHIPPING: 3,
                COMPLETED: 4,
                CANCELLED: 5,
                REFUND_REQUESTED: 6,
                REFUNDED: 7
            }
        });
})();
