(function () {
    'use strict';

    angular
        .module('app.order')
        .controller('CustomInvoiceController', CustomInvoiceController);

    CustomInvoiceController.$inject = ['$timeout', '$rootScope', '$ionicHistory'];

    function CustomInvoiceController($timeout, $rootScope, $ionicHistory) {


        var vm = this;
        vm.invoiceTitle = null;
        vm.updateTitle = updateTitle;

        ////////////////

        function updateTitle() {
            $ionicHistory.goBack();
            $timeout(function () {
                $rootScope.$broadcast('checkout:refreshInvoice', vm.invoiceTitle);
            }, 10);
        }
    }
})();
