(function () {
    'use strict';

    angular
        .module('app.user')
        .controller('CreditsController', CreditsController);

    CreditsController.$inject = ['httpService'];

    function CreditsController(httpService) {
        var vm = this;
        vm.myCredit = null;

        getCredits();

        function getCredits() {
            var promise = httpService.get('get_balance');
            promise.then(function(response) {
                vm.myCredit = response.data;
            });
        }
    }

})();
