cordova.define("hebang-plugin-alipay.HBAlipay", function(require, exports, module) { var cordova = window.cordova || window.Cordova;
var exec = require('cordova/exec');

var HBAlipay = {
    pay: function (tradeInfo, urlScheme, successCallback, failureCallback) {
        if (cordova) {
            exec(function (message) {
                if (message) {
                    if (message.resultStatus !== '9000' && failureCallback) {
                        if (message.memo) {
                            failureCallback(message.memo);
                        } else {
                            if (message.resultStatus === '8000') {
                                failureCallback('正在处理中');
                            } else if (message.resultStatus === '4000') {
                                failureCallback('订单支付失败');
                            } else if (message.resultStatus === '6001') {
                                failureCallback('用户中途取消');
                            } else if (message.resultStatus === '6002') {
                                failureCallback('网络连接出错');
                            } else {
                                failureCallback();
                            }
                        }
                    } else if (successCallback) {
                        successCallback();
                    }
                } else if (failureCallback) {
                    failureCallback();
                }
            }, failureCallback ? failureCallback : null, 'HBAlipay', 'pay', [tradeInfo, urlScheme]);
        }
    }
};

module.exports = HBAlipay;

});
